# TwHospital

這個gem會抓取[全國重度級急救責任醫院急診即時訊息](http://www.mohw.gov.tw/CHT/DOMA/DM1_P.aspx?f_list_no=608&fod_list_no=4680&doc_no=43081)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'tw_hospital'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install tw_hospital

## Variable

`to_119`: 是否已向119通報滿床(載)

`wait_register` : 等待掛號

`wait_bed`: 等待住院

`emergency_number`: 急救區人數

`wait_internal_medicine`: 等待內科

`wait_surgery`: 等待外科

`wait_paediatrics`: 等待小兒科

`wait_gynaecology`: 等待婦科

`wait_other`: 等待其他科別

`wait_cure_bed`: 等待加護病床


## Hospital

| 代號        | 醫院名字                                                   |
|-------------|------------------------------------------------------------|
| pohai       | 財團法人羅許基金會羅東博愛醫院                             |
| cch         | 彰化基督教醫療財團法人彰化基督教醫院                       |
| cgh         | 國泰綜合醫院                                               |
| cgmh_chayi  | 長庚醫療財團法人嘉義長庚紀念醫院                           |
| cgmh_kl     | 長庚醫療財團法人基隆長庚紀念醫院                           |
| cgmh_ks     | 長庚醫療財團法人高雄長庚紀念醫院                           |
| cgmh_lingko | 長庚醫療財團法人林口長庚紀念醫院                           |
| chimei      | 奇美醫院                                                   |
| chimei_cl   | 佳里奇美醫院                                               |
| chimei_ly   | 柳營奇美醫院                                               |
| cmuh        | 中國醫藥大學附設醫院                                       |
| csh         | 中山醫學大學附設醫院                                       |
| edah        | 義大醫療財團法人義大醫院                                   |
| kmuh        | 高雄醫學大學附設中和紀念醫院                               |
| ktgh_dajia  | 光田醫療社團法人光田綜合醫院(大甲院區)                     |
| ktgh_shalu  | 光田醫療社團法人光田綜合醫院(沙鹿總院)                     |
| mmh         | 財團法人臺灣基督長老教會馬偕紀念社會事業基金會馬偕紀念醫院 |
| ncku        | 國立成功大學醫學院附設醫院                                 |
| ndmctsgh    | 三軍總醫院附設民眾診療服務處                               |
| ntuh_taipei | 國立臺灣大學醫學院附設醫院                                 |
| ntuh_yunlin | 國立臺灣大學醫學院附設醫院雲林分院                         |
| scmh        | 秀傳醫療社團法人秀傳紀念醫院                               |
| shh         | 衛生福利部雙和醫院                                         |
| skh         | 新光醫療財團法人新光吳火獅紀念醫院                         |
| sltung      | 童綜合醫療社團法人童綜合醫院                               |
| tzuchi      | 佛教慈濟醫療財團法人台北慈濟醫院                           |
| tzuchi_hl   | 佛教慈濟醫療財團法人花蓮慈濟醫院                           |
| vghtc       | 臺中榮民總醫院                                             |
| vghtpe      | 台北榮民總醫院                                             |
| wanfang     | 台北市立萬芳醫院                                           |
## Output

## Issue
尚未抓完：
* 馬偕醫院Mmh 
* 財團法人徐元智先生醫藥基金會附設亞東紀念醫院 
* 佛教慈濟醫療財團法人台北慈濟醫院
* 秀傳醫療社團法人秀傳紀念醫院(scmh): 編碼有問
* 高雄榮民總醫院:  給的檔案是pdf
* 安泰醫療社團法人安泰醫院: 需要驗證馬
* 佛教慈濟醫療財團法人花蓮慈濟醫院: 可以抓到 但可能會有問題

光田醫療社團法人光田綜合醫院: 是否已向119通報滿床這格的表示方式要確認一下
